xine-lib: IMediaObject_vt Struct Reference

xine-lib 1.2.12

Public Member Functions | Data Fields
IMediaObject_vt Struct Reference

`#include <dmo_interfaces.h>`

## Public Member Functions
| INHERIT_IUNKNOWN ()

## Data Fields
HRESULT STDCALL(* | GetStreamCount )(IMediaObject *This, unsigned long *pcInputStreams, unsigned long *pcOutputStreams)
HRESULT STDCALL(* | GetInputStreamInfo )(IMediaObject *This, unsigned long dwInputStreamIndex, unsigned long *pdwFlags)
HRESULT STDCALL(* | GetOutputStreamInfo )(IMediaObject *This, unsigned long dwOutputStreamIndex, unsigned long *pdwFlags)
HRESULT STDCALL(* | GetInputType )(IMediaObject *This, unsigned long dwInputStreamIndex, unsigned long dwTypeIndex, DMO_MEDIA_TYPE *pmt)
HRESULT STDCALL(* | GetOutputType )(IMediaObject *This, unsigned long dwOutputStreamIndex, unsigned long dwTypeIndex, DMO_MEDIA_TYPE *pmt)
HRESULT STDCALL(* | SetInputType )(IMediaObject *This, unsigned long dwInputStreamIndex, const DMO_MEDIA_TYPE *pmt, unsigned long dwFlags)
HRESULT STDCALL(* | SetOutputType )(IMediaObject *This, unsigned long dwOutputStreamIndex, const DMO_MEDIA_TYPE *pmt, unsigned long dwFlags)
HRESULT STDCALL(* | GetInputCurrentType )(IMediaObject *This, unsigned long dwInputStreamIndex, DMO_MEDIA_TYPE *pmt)
HRESULT STDCALL(* | GetOutputCurrentType )(IMediaObject *This, unsigned long dwOutputStreamIndex, DMO_MEDIA_TYPE *pmt)
HRESULT STDCALL(* | GetInputSizeInfo )(IMediaObject *This, unsigned long dwInputStreamIndex, unsigned long *pcbSize, unsigned long *pcbMaxLookahead, unsigned long *pcbAlignment)
HRESULT STDCALL(* | GetOutputSizeInfo )(IMediaObject *This, unsigned long dwOutputStreamIndex, unsigned long *pcbSize, unsigned long *pcbAlignment)
HRESULT STDCALL(* | GetInputMaxLatency )(IMediaObject *This, unsigned long dwInputStreamIndex, REFERENCE_TIME *prtMaxLatency)
HRESULT STDCALL(* | SetInputMaxLatency )(IMediaObject *This, unsigned long dwInputStreamIndex, REFERENCE_TIME rtMaxLatency)
HRESULT STDCALL(* | Flush )(IMediaObject *This)
HRESULT STDCALL(* | Discontinuity )(IMediaObject *This, unsigned long dwInputStreamIndex)
HRESULT STDCALL(* | AllocateStreamingResources )(IMediaObject *This)
HRESULT STDCALL(* | FreeStreamingResources )(IMediaObject *This)
HRESULT STDCALL(* | GetInputStatus )(IMediaObject *This, unsigned long dwInputStreamIndex, unsigned long *dwFlags)
HRESULT STDCALL(* | ProcessInput )(IMediaObject *This, unsigned long dwInputStreamIndex, IMediaBuffer *pBuffer, unsigned long dwFlags, REFERENCE_TIME rtTimestamp, REFERENCE_TIME rtTimelength)
HRESULT STDCALL(* | ProcessOutput )(IMediaObject *This, unsigned long dwFlags, unsigned long cOutputBufferCount, DMO_OUTPUT_DATA_BUFFER *pOutputBuffers, unsigned long *pdwStatus)
HRESULT STDCALL(* | Lock )(IMediaObject *This, long bLock)

## Member Function Documentation

## ◆ INHERIT_IUNKNOWN()

IMediaObject_vt::INHERIT_IUNKNOWN | ( |  | ) |

## Field Documentation

## ◆ AllocateStreamingResources

HRESULT STDCALL(* IMediaObject_vt::AllocateStreamingResources) (IMediaObject *This)

## ◆ Discontinuity

HRESULT STDCALL(* IMediaObject_vt::Discontinuity) (IMediaObject *This, unsigned long dwInputStreamIndex)

## ◆ Flush

HRESULT STDCALL(* IMediaObject_vt::Flush) (IMediaObject *This)

## ◆ FreeStreamingResources

HRESULT STDCALL(* IMediaObject_vt::FreeStreamingResources) (IMediaObject *This)

## ◆ GetInputCurrentType

HRESULT STDCALL(* IMediaObject_vt::GetInputCurrentType) (IMediaObject *This, unsigned long dwInputStreamIndex, DMO_MEDIA_TYPE *pmt)

## ◆ GetInputMaxLatency

HRESULT STDCALL(* IMediaObject_vt::GetInputMaxLatency) (IMediaObject *This, unsigned long dwInputStreamIndex, REFERENCE_TIME *prtMaxLatency)

## ◆ GetInputSizeInfo

HRESULT STDCALL(* IMediaObject_vt::GetInputSizeInfo) (IMediaObject *This, unsigned long dwInputStreamIndex, unsigned long *pcbSize, unsigned long *pcbMaxLookahead, unsigned long *pcbAlignment)

## ◆ GetInputStatus

HRESULT STDCALL(* IMediaObject_vt::GetInputStatus) (IMediaObject *This, unsigned long dwInputStreamIndex, unsigned long *dwFlags)

## ◆ GetInputStreamInfo

HRESULT STDCALL(* IMediaObject_vt::GetInputStreamInfo) (IMediaObject *This, unsigned long dwInputStreamIndex, unsigned long *pdwFlags)

## ◆ GetInputType

HRESULT STDCALL(* IMediaObject_vt::GetInputType) (IMediaObject *This, unsigned long dwInputStreamIndex, unsigned long dwTypeIndex, DMO_MEDIA_TYPE *pmt)

## ◆ GetOutputCurrentType

HRESULT STDCALL(* IMediaObject_vt::GetOutputCurrentType) (IMediaObject *This, unsigned long dwOutputStreamIndex, DMO_MEDIA_TYPE *pmt)

## ◆ GetOutputSizeInfo

HRESULT STDCALL(* IMediaObject_vt::GetOutputSizeInfo) (IMediaObject *This, unsigned long dwOutputStreamIndex, unsigned long *pcbSize, unsigned long *pcbAlignment)

Referenced by DMO_FilterCreate().

## ◆ GetOutputStreamInfo

HRESULT STDCALL(* IMediaObject_vt::GetOutputStreamInfo) (IMediaObject *This, unsigned long dwOutputStreamIndex, unsigned long *pdwFlags)

## ◆ GetOutputType

HRESULT STDCALL(* IMediaObject_vt::GetOutputType) (IMediaObject *This, unsigned long dwOutputStreamIndex, unsigned long dwTypeIndex, DMO_MEDIA_TYPE *pmt)

Referenced by DMO_FilterCreate().

## ◆ GetStreamCount

HRESULT STDCALL(* IMediaObject_vt::GetStreamCount) (IMediaObject *This, unsigned long *pcInputStreams, unsigned long *pcOutputStreams)

Referenced by DMO_FilterCreate().

## ◆ Lock

HRESULT STDCALL(* IMediaObject_vt::Lock) (IMediaObject *This, long bLock)

## ◆ ProcessInput

HRESULT STDCALL(* IMediaObject_vt::ProcessInput) (IMediaObject *This, unsigned long dwInputStreamIndex, IMediaBuffer *pBuffer, unsigned long dwFlags, REFERENCE_TIME rtTimestamp, REFERENCE_TIME rtTimelength)

## ◆ ProcessOutput

HRESULT STDCALL(* IMediaObject_vt::ProcessOutput) (IMediaObject *This, unsigned long dwFlags, unsigned long cOutputBufferCount, DMO_OUTPUT_DATA_BUFFER *pOutputBuffers, unsigned long *pdwStatus)

## ◆ SetInputMaxLatency

HRESULT STDCALL(* IMediaObject_vt::SetInputMaxLatency) (IMediaObject *This, unsigned long dwInputStreamIndex, REFERENCE_TIME rtMaxLatency)

## ◆ SetInputType

HRESULT STDCALL(* IMediaObject_vt::SetInputType) (IMediaObject *This, unsigned long dwInputStreamIndex, const DMO_MEDIA_TYPE *pmt, unsigned long dwFlags)

Referenced by DMO_FilterCreate().

## ◆ SetOutputType

HRESULT STDCALL(* IMediaObject_vt::SetOutputType) (IMediaObject *This, unsigned long dwOutputStreamIndex, const DMO_MEDIA_TYPE *pmt, unsigned long dwFlags)

Referenced by DMO_FilterCreate().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/libw32dll/dmo/dmo_interfaces.h